aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog13
-rw-r--r--THANKS2
-rw-r--r--debian/changelog9
-rw-r--r--pbuilder-modules6
-rwxr-xr-xpbuilder-user-mode-linux2
5 files changed, 28 insertions, 4 deletions
diff --git a/ChangeLog b/ChangeLog
index 4455a75..052d295 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,16 @@
+2002-11-25 Junichi Uekawa <dancer@debian.org>
+
+ * THANKS: update list of people.
+
+ * pbuilder-modules (pbuilder-options): display value of $BASETGZ instead of
+ base.tgz
+ Bug: 167813
+ Thanks: Michael Banck <mbanck@gmx.net>
+
+ * pbuilder-user-mode-linux: Fix the order of conffile loading.
+ Bug: 167808
+ Thanks: Peter Hawkins <peter@hawkins.emu.id.au>
+
2002-11-12 Junichi Uekawa <dancer@debian.org>
* debian/README.Debian: update documentation a
diff --git a/THANKS b/THANKS
index deb8755..774a635 100644
--- a/THANKS
+++ b/THANKS
@@ -15,6 +15,8 @@ Henrique de Moraes Holschuh <hmh@debian.org>
David Schmitt <david@schmitt.edv-bus.at>
ranty@debian.org
Robert Bihlmeyer <robbe@orcus.priv.at>
+Peter Hawkins <peter@hawkins.emu.id.au>
+Michael Banck <mbanck@gmx.net>;
I thank them all!
diff --git a/debian/changelog b/debian/changelog
index 4617bfa..c3c22d6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+pbuilder (0.49) UNRELEASED; urgency=low
+
+ * Fix -uml handling config files (closes: #167808)
+ thanks: Peter Hawkins <peter@hawkins.emu.id.au>
+ * use actual name of basetgz in '-> extracting base.tgz' message (closes: #167813)
+ thanks: Michael Banck <mbanck@gmx.net>
+
+ -- Junichi Uekawa <dancer@debian.org> Mon, 25 Nov 2002 13:20:06 +0900
+
pbuilder (0.48) unstable; urgency=low
* improved handling of directory in debuild-pbuilder.
diff --git a/pbuilder-modules b/pbuilder-modules
index f8c0e44..5f61e94 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -181,7 +181,7 @@ function extractbuildplace () {
if [ ! "${INTERNAL_BUILD_UML}" = "yes" ]; then
cleanbuildplace
echo "Building the build Environment"
- echo " -> extracting base.tgz"
+ echo " -> extracting base tarball [${BASETGZ}]"
if ! mkdir -p "$BUILDPLACE"; then
echo "E: failed to build the directory to chroot"
exit 1
@@ -251,7 +251,7 @@ function save_aptcache() {
function create_basetgz() {
# create base.tgz
- echo " -> creating base.tgz"
+ echo " -> creating base tarball [${BASETGZ}]"
(
if ! cd "$BUILDPLACE"; then
echo "Error: unexpected error in chdir to $BUILDPLACE" >&2
@@ -262,7 +262,7 @@ function create_basetgz() {
sleep 10s
done
if ! tar cfz "${BASETGZ}.tmp" * ; then
- echo " -> failed building base.tgz"
+ echo " -> failed building base tarball"
rm -f "${BASETGZ}.tmp"
exit 1;
fi
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 9a3844b..aad0b1f 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -25,7 +25,7 @@ function cleanup_function () {
}
-for CONFIGFILE in /etc/pbuilder/pbuilder-uml.conf /usr/share/pbuilder/pbuilder-uml.conf ${HOME}/.pbuilderrc; do
+for CONFIGFILE in /usr/share/pbuilder/pbuilder-uml.conf /etc/pbuilder/pbuilder-uml.conf ${HOME}/.pbuilderrc; do
if [ -f ${CONFIGFILE} ]; then
. ${CONFIGFILE}
fi